## ros-one-simple-message 0.7.3-7noble.20251023.0037

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(simple_message)

find_package(catkin REQUIRED COMPONENTS industrial_msgs roscpp)

# The simple message make file builds three libraries: simple_message,
# simple_message_bswap and simple_message_float64.
#
# simple_message - is the default library.  This library should be used
# when the target for the simple message is the same endian (i.e. both
# big-endian or little-endian).  Intel based machines are little endian
#
# simple_message_bswap - is an alternative library that can be used
# when the target for simple message is a DIFFERENT endian AND when the target
# target cannot perform byte swapping (as is the case for some industrial
# controllers).  This library performs byte swapping at the lowest load/unload
# levels.
#
# simple_message_float64 - another alternative which uses 8 byte floats instead
# of 4 byte floats (ie: double precision vs single precision).
# This variant changes the shared_float typedef everywhere to be 8 byte floats.
#
# NOTE: The libraries generated this package are not included in the catkin_package
# macro because libraries must be explicitly linked in projects that depend on this
# package.  If this is not done (and these libraries were exported), then multiple
# library definitions (normal - simple_message, byteswapped - simple_message_bswap
# and simple_message_float64) are all included (this is bad).
catkin_package(
    CATKIN_DEPENDS industrial_msgs roscpp
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}_dummy
    CFG_EXTRAS
      issue46_workaround.cmake
      platform_build_flags.cmake
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

# Build static libs, to reduce dependency-chaining for industrial_robot_client
set(ROS_BUILD_STATIC_LIBS true)
set(ROS_BUILD_SHARED_LIBS false)

#catkin_lint: ignore_once literal_project_name
set(SRC_FILES src/byte_array.cpp
	src/simple_message.cpp
	src/smpl_msg_connection.cpp

	src/socket/simple_socket.cpp
	src/socket/tcp_client.cpp
	src/socket/tcp_server.cpp
	src/socket/tcp_socket.cpp
	src/socket/udp_client.cpp
	src/socket/udp_server.cpp
	src/socket/udp_socket.cpp

	src/joint_data.cpp
	src/joint_feedback.cpp
	src/joint_traj_pt_full.cpp
	src/joint_traj_pt.cpp
	src/joint_traj.cpp
	src/message_handler.cpp
	src/message_manager.cpp
	src/ping_handler.cpp
	src/ping_message.cpp
	src/robot_status.cpp

	src/messages/joint_feedback_message.cpp
	src/messages/joint_message.cpp
	src/messages/joint_traj_pt_full_message.cpp
	src/messages/joint_traj_pt_message.cpp
	src/messages/robot_status_message.cpp

	src/simple_comms_fault_handler.cpp
)

set(UTEST_SRC_FILES test/utest.cpp test/utest_message.cpp)

# generate dummy library (we export it in catkin_package(..)), to force catkin
# to set up LIBRARY_DIRS properly.
# TODO: find out if LIBRARY_DIRS can be exported without dummy library target
add_custom_command(
  OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_dummy.cpp
  COMMAND ${CMAKE_COMMAND} -E touch ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_dummy.cpp)
add_library(${PROJECT_NAME}_dummy ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_dummy.cpp)


# DEFAULT LIBRARY (SAME ENDIAN)
#catkin_lint: ignore_once unsorted_list
add_library(${PROJECT_NAME} ${SRC_FILES})
# NOTE: keep these in-sync with the lists in 'cmake/platform_build_flags.cmake'.
# Yes, we could have used get_target_property(..) and then configure_file(..)
# (or Catkin's equivalent), but there is a low probably these will ever change
# again, so for now, manually managing it all is an OK trade-off
target_compile_definitions(${PROJECT_NAME} PUBLIC
  SIMPLE_MESSAGE_USE_ROS SIMPLE_MESSAGE_LINUX)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME} $<$<BOOL:${WIN32}>:Ws2_32.lib>)
add_dependencies(${PROJECT_NAME} ${industrial_msgs_EXPORTED_TARGETS})

# ALTERNATIVE LIBRARY (DIFFERENT ENDIAN)
#catkin_lint: ignore_once unsorted_list
add_library(${PROJECT_NAME}_bswap ${SRC_FILES})
# NOTE: keep these in-sync with the lists in 'cmake/platform_build_flags.cmake'
target_compile_definitions(${PROJECT_NAME}_bswap PUBLIC
  SIMPLE_MESSAGE_USE_ROS SIMPLE_MESSAGE_LINUX BYTE_SWAPPING)
target_link_libraries(${PROJECT_NAME}_bswap ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_bswap $<$<BOOL:${WIN32}>:Ws2_32.lib>)
add_dependencies(${PROJECT_NAME}_bswap ${industrial_msgs_EXPORTED_TARGETS})

# ALTERNATIVE LIBRARY (64-bit floats)
#catkin_lint: ignore_once unsorted_list
add_library(${PROJECT_NAME}_float64 ${SRC_FILES})
# NOTE: keep these in-sync with the lists in 'cmake/platform_build_flags.cmake'
target_compile_definitions(${PROJECT_NAME}_float64 PUBLIC
  SIMPLE_MESSAGE_USE_ROS SIMPLE_MESSAGE_LINUX FLOAT64)
target_link_libraries(${PROJECT_NAME}_float64 ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_float64 $<$<BOOL:${WIN32}>:Ws2_32.lib>)
add_dependencies(${PROJECT_NAME}_float64 ${industrial_msgs_EXPORTED_TARGETS})


# NOTE: All test files require TEST_PORT_BASE to be defined.  Defining different
# ports for each test executable allows them to run in parallel.
if(CATKIN_ENABLE_TESTING)
    catkin_add_gtest(utest ${UTEST_SRC_FILES})
    target_compile_definitions(utest PRIVATE TEST_PORT_BASE=11000)
    target_link_libraries(utest ${PROJECT_NAME})

    catkin_add_gtest(utest_byte_swapping ${UTEST_SRC_FILES})
    target_compile_definitions(utest_byte_swapping PRIVATE TEST_PORT_BASE=12000)
    target_link_libraries(utest_byte_swapping ${PROJECT_NAME}_bswap)

    catkin_add_gtest(utest_float64 ${UTEST_SRC_FILES})
    target_compile_definitions(utest_float64 PRIVATE TEST_PORT_BASE=13000 FLOAT64)
    target_link_libraries(utest_float64 ${PROJECT_NAME}_float64)

    catkin_add_gtest(utest_udp ${UTEST_SRC_FILES})
    target_compile_definitions(utest_udp PRIVATE TEST_PORT_BASE=15000 UDP_TEST)
    target_link_libraries(utest_udp ${PROJECT_NAME})
endif()

# unfortunately this will have to be installed, but the linker will remove it
# from the library dependencies of dependent targets, as it contains no symbols
# that can be imported from it.
install(TARGETS ${PROJECT_NAME}_dummy
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
        
install(
    TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_bswap ${PROJECT_NAME}_float64 
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(
    DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

## ros-one-simple-message 0.7.3-7jammy.20251023.0038

=== debian/changelog ===
ros-one-simple-message (0.7.3-7jammy.20251023.0038) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 00:38:37 +0000

ros-one-simple-message (0.7.3-0jammy) jammy; urgency=high

  * accept old defines as well for now, bw-compatibility for (#262 <https://github.com/ros-industrial/industrial_core/issues/262>) (#275 <https://github.com/ros-industrial/industrial_core/issues/275>)
  * for a complete list of changes see the commit log for 0.7.3 <https://github.com/ros-industrial/industrial_core/compare/0.7.2...0.7.3>.
  * contributors: gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-simple-message (0.7.2-0jammy) jammy; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * add receive timeouts for simple socket (#267 <https://github.com/ros-industrial/industrial_core/issues/267>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * improve TcpClient's connection re-establish behaviour (#263 <https://github.com/ros-industrial/industrial_core/issues/263>)
  * export compiler flags (#262 <https://github.com/ros-industrial/industrial_core/issues/262>)
  * remove exec permission on source files (#259 <https://github.com/ros-industrial/industrial_core/issues/259>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Gaël Écorchard, Josh Langsfeld, Tim Perkins, ipa-nhg, Sean Yen, Paul Glaubitz, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-simple-message (0.7.1-0jammy) jammy; urgency=high

  * Fix incorrect return value if deserializing duration fails on ``joint_traj_pt`` (#226 <https://github.com/ros-industrial/industrial_core/issues/226>)
  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Gonzalo Casas, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-simple-message (0.7.0-0jammy) jammy; urgency=high

  * Updated the libraries install tags to follow the official documentation Fix #193 <https://github.com/ros-industrial/industrial_core/issues/193>
  * simple_message: get rid of obsolete gethostbyname. Fix #197 <https://github.com/ros-industrial/industrial_core/issues/197>
  * Added missed test dependencies to rosunit Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>
  * Fixed issue 157 regarding non-existing targets
  * simple_message: build unit tests conditionally #182 <https://github.com/ros-industrial/industrial_core/issues/182>
  * Contributors: Alexander Rössler, Dmitry Rozhkov, Levi Armstrong, Nadia Hammoudeh García, Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-simple-message (0.6.0-0jammy) jammy; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-simple-message (0.5.1-0jammy) jammy; urgency=high

  * Temporary fix, commented out disabled test to remove unstable build status
  * Changed test port numbers to unused range in linux.  utest_message now uses port range defined by macros (addresses failure to init server socket)
  * Amend to pull request #153 <https://github.com/ros-industrial/industrial_core/issues/153> (methods moved to TypedMessage)
  * robot_status: missing reply to SERVICE_REQUEST. Fix in robot_status_message and relay_handler.
  * simple_message: add doc to SpecialSeqValue enum members.
  * simple_message: fix SpecialSeqValue typo. Fix #130 <https://github.com/ros-industrial/industrial_core/issues/130>.
  * Contributors: Alberto Marini, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-simple-message (0.5.0-0jammy) jammy; urgency=high

  * Switch ByteArray to <deque> for internal buffer
    - enables dynamic sizing, for larger messages
    * up to INT_MAX, which is unadvised
    - allows efficient data access at front/rear of msgs
    - maintains same external API
    * getRawDataPtr() is deprecated (not contiguous memory)
    - bugFix: SimpleSocket::receiveBytes() buffer-size check
    - update unit tests to handle ByteArray.MaxSize==INT_MAX
  * Contributors: Jeremy Zoss

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-simple-message (0.4.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-simple-message (0.4.2-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-simple-message (0.4.1-0jammy) jammy; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards



=== debian/control ===
Source: ros-one-simple-message
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-industrial-msgs, ros-one-roscpp
Homepage: http://ros.org/wiki/simple_message
Standards-Version: 3.9.2

Package: ros-one-simple-message
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-industrial-msgs, ros-one-roscpp
Description: simple_message defines a simple messaging connection and protocol for communicating with an industrial robot controller.
 Additional handler and manager classes are included for handling connection limited systems. This package is part of the ROS-Industrial program.

## ros-one-simple-message 0.7.3-7jammy.20260220.2136

=== debian/changelog ===
ros-one-simple-message (0.7.3-7jammy.20260220.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 20 Feb 2026 21:36:50 +0000

## ros-one-simple-message 0.7.3-7noble.20251023.0037

=== debian/changelog ===
ros-one-simple-message (0.7.3-7noble.20251023.0037) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 00:37:11 +0000

ros-one-simple-message (0.7.3-0noble) noble; urgency=high

  * accept old defines as well for now, bw-compatibility for (#262 <https://github.com/ros-industrial/industrial_core/issues/262>) (#275 <https://github.com/ros-industrial/industrial_core/issues/275>)
  * for a complete list of changes see the commit log for 0.7.3 <https://github.com/ros-industrial/industrial_core/compare/0.7.2...0.7.3>.
  * contributors: gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-simple-message (0.7.2-0noble) noble; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * add receive timeouts for simple socket (#267 <https://github.com/ros-industrial/industrial_core/issues/267>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * improve TcpClient's connection re-establish behaviour (#263 <https://github.com/ros-industrial/industrial_core/issues/263>)
  * export compiler flags (#262 <https://github.com/ros-industrial/industrial_core/issues/262>)
  * remove exec permission on source files (#259 <https://github.com/ros-industrial/industrial_core/issues/259>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Gaël Écorchard, Josh Langsfeld, Tim Perkins, ipa-nhg, Sean Yen, Paul Glaubitz, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-simple-message (0.7.1-0noble) noble; urgency=high

  * Fix incorrect return value if deserializing duration fails on ``joint_traj_pt`` (#226 <https://github.com/ros-industrial/industrial_core/issues/226>)
  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Gonzalo Casas, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-simple-message (0.7.0-0noble) noble; urgency=high

  * Updated the libraries install tags to follow the official documentation Fix #193 <https://github.com/ros-industrial/industrial_core/issues/193>
  * simple_message: get rid of obsolete gethostbyname. Fix #197 <https://github.com/ros-industrial/industrial_core/issues/197>
  * Added missed test dependencies to rosunit Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>
  * Fixed issue 157 regarding non-existing targets
  * simple_message: build unit tests conditionally #182 <https://github.com/ros-industrial/industrial_core/issues/182>
  * Contributors: Alexander Rössler, Dmitry Rozhkov, Levi Armstrong, Nadia Hammoudeh García, Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-simple-message (0.6.0-0noble) noble; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-simple-message (0.5.1-0noble) noble; urgency=high

  * Temporary fix, commented out disabled test to remove unstable build status
  * Changed test port numbers to unused range in linux.  utest_message now uses port range defined by macros (addresses failure to init server socket)
  * Amend to pull request #153 <https://github.com/ros-industrial/industrial_core/issues/153> (methods moved to TypedMessage)
  * robot_status: missing reply to SERVICE_REQUEST. Fix in robot_status_message and relay_handler.
  * simple_message: add doc to SpecialSeqValue enum members.
  * simple_message: fix SpecialSeqValue typo. Fix #130 <https://github.com/ros-industrial/industrial_core/issues/130>.
  * Contributors: Alberto Marini, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-simple-message (0.5.0-0noble) noble; urgency=high

  * Switch ByteArray to <deque> for internal buffer
    - enables dynamic sizing, for larger messages
    * up to INT_MAX, which is unadvised
    - allows efficient data access at front/rear of msgs
    - maintains same external API
    * getRawDataPtr() is deprecated (not contiguous memory)
    - bugFix: SimpleSocket::receiveBytes() buffer-size check
    - update unit tests to handle ByteArray.MaxSize==INT_MAX
  * Contributors: Jeremy Zoss

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-simple-message (0.4.3-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-simple-message (0.4.2-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-simple-message (0.4.1-0noble) noble; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-simple-message//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-simple-message 0.7.3-7noble.20260220.2143

=== debian/changelog ===
ros-one-simple-message (0.7.3-7noble.20260220.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 20 Feb 2026 21:43:17 +0000
